XnAutoMutexLocker Class Reference

`#include <XnOSCpp.h>`

## Public Member Functions

| XnAutoMutexLocker (XN_MUTEX_HANDLE hMutex, XnUInt32 nMilliseconds)
XnStatus | GetStatus () const
| ~XnAutoMutexLocker ()

## Constructor & Destructor Documentation

## XnAutoMutexLocker()

XnAutoMutexLocker::XnAutoMutexLocker | ( | XN_MUTEX_HANDLE | hMutex,
|  | XnUInt32 | nMilliseconds )

inline

## ~XnAutoMutexLocker()

XnAutoMutexLocker::~XnAutoMutexLocker | ( |  | ) |

inline

## Member Function Documentation

## GetStatus()

XnStatus XnAutoMutexLocker::GetStatus | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- XnOSCpp.h